table:
  name: event_registration_settings
  schema: public
object_relationships:
  - name: event
    using:
      foreign_key_constraint_on: event_id
  - name: region
    using:
      foreign_key_constraint_on: region_id
computed_fields:
  - name: registration_active
    definition:
      function:
        name: registration_active
        schema: public
insert_permissions:
  - role: _event_admin
    permission:
      check: {}
      columns:
        - event_id
        - max_team_size
        - min_team_size
        - region_id
        - registration_close
        - registration_open
        - require_liaison
        - roster_change_close
select_permissions:
  - role: _event_admin
    permission:
      columns:
        - event_id
        - max_team_size
        - min_team_size
        - region_id
        - registration_close
        - registration_open
        - require_liaison
        - roster_change_close
      computed_fields:
        - registration_active
      filter: {}
      allow_aggregations: true
  - role: anonymous
    permission:
      columns:
        - event_id
        - max_team_size
        - min_team_size
        - region_id
        - registration_close
        - registration_open
        - require_liaison
        - roster_change_close
      computed_fields:
        - registration_active
      filter: {}
      allow_aggregations: true
update_permissions:
  - role: _event_admin
    permission:
      columns:
        - event_id
        - max_team_size
        - min_team_size
        - region_id
        - registration_close
        - registration_open
        - require_liaison
        - roster_change_close
      filter: {}
      check: {}
delete_permissions:
  - role: _event_admin
    permission:
      filter: {}
